import * as asyncHandler from 'express-async-handler';
import * as userBiz from '../biz/guanWeiHui/user';
import * as baseBiz from '../biz/fuHuqQi/base';
import { checkReqParam } from '../util/tools';
import { BizError } from '../util/bizError';
import { ERRORENUM } from '../config/errorEnum';


export function setRouter(httpServer) {
    // /**登录 */
    // httpServer.post('/admin/login', asyncHandler(login));
    // /** 孵化器*/
    // httpServer.post('/admin/fuhuaqi/baselist', asyncHandler());
    // httpServer.post('/admin/fuhuaqi/monthoccupancyrate', asyncHandler());
    // httpServer.post('/admin/fuhuaqi/userlist', asyncHandler());
    // httpServer.post('/admin/fuhuaqi/updatestate', asyncHandler());
    // /**企业 */
    // httpServer.post('/admin/enterprise/list', asyncHandler());
    // httpServer.post('/admin/enterprise/financinglist', asyncHandler());
}

/**
 * 管理后天登录
 * @param req 
 * @param res 
 */
async function login(req, res) {
    let reqConf = {loginId:'String', pwd:'String'};
    let {uscc, pwd} = checkReqParam(reqConf, req.body);

    let userInfo = await userBiz.login(uscc, pwd);
    res.success(userInfo);
}


/**
 * 孵化器基本信息列表
 * @param req 
 * @param res 
 */
async function fuHuaQiBaseList(req, res) {
    let {lv, institutionalNature, industry} = req.body;
    if (typeof lv != 'number' || typeof institutionalNature != 'number' || typeof industry != 'number') {
        throw new BizError(ERRORENUM.参数错误, lv, institutionalNature, industry);
    }
    
    let result = await baseBiz.fuHuaQiBaseList(lv, institutionalNature, industry);

    res.success(result);
}

async function occupancyRate() {
    
}

;